freeslot("SPR_SLIM", "S_SLIMETRAIL", "MT_SLIMETRAIL", "S_SLIMEWALL", "SPR_EYES", "MT_EYES", "SPR_SMTG", "S_SLIMETARGET", "S_SLIMERETICLE", "SPR_SMRT")
freeslot(
	"S_EYESDEF",
	"S_EYESHAPPY",
	"S_EYESANGRY",
	"S_EYESSUPRISE",
	"S_EYESPAIN",
	"S_EYESDEAD",
	"S_EYESCRYING",
	"S_EYESAFRAID")

mobjinfo[MT_SLIMETRAIL] = {
	doomednum = -1,
	spawnstate = S_SLIMETRAIL,
	spawnhealth = 1,
	speed = 60*FRACUNIT,
	radius = 16*FRACUNIT,
	height = 32*FRACUNIT,
	dispoffset = 0,
	mass = 100,
	damage = 0
}

states[S_SLIMETRAIL] = {SPR_SLIM, A, 15, nil, 1, 0, S_NULL}

states[S_SLIMEWALL] = {
	sprite = SPR_SLIM,
	frame = A,
	tics = 5,
	nextstate = S_SLIMEWALL
}

mobjinfo[MT_EYES] = {
	doomednum = -1,
	spawnstate = S_EYESDEF,
	spawnhealth = 1,
	speed = 30*FRACUNIT,
	radius = 16*FRACUNIT,
	height = 32*FRACUNIT,
	dispoffset = 0,
	mass = 100,
	damage = 0,
	flags = MF_NOCLIP|MF_NOCLIPTHING|MF_NOCLIPHEIGHT|MF_NOBLOCKMAP
}

states[S_EYESDEF] = {SPR_EYES, A|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESDEF}

states[S_EYESHAPPY] = {SPR_EYES, B|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESHAPPY}
states[S_EYESANGRY] = {SPR_EYES, C|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESANGRY}
states[S_EYESSUPRISE] = {SPR_EYES, D|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESSUPRISE}
states[S_EYESPAIN] = {SPR_EYES, E|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESPAIN}
states[S_EYESDEAD] = {SPR_EYES, F|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESDEAD}
states[S_EYESCRYING] = {SPR_EYES, G|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESCRYING}
states[S_EYESAFRAID] = {SPR_EYES, H|FF_PAPERSPRITE|FF_FULLBRIGHT, 15, nil, 1, 0, S_EYESAFRAID}

states[S_SLIMETARGET] = {SPR_SMTG, A|FF_FULLBRIGHT, 2, nil, 0, 0, S_NULL}
states[S_SLIMERETICLE] = {SPR_SMRT, A|FF_FULLBRIGHT, 2, nil, 0, 0, S_NULL}

